CREATE TABLE IF NOT EXISTS Tags (
    id INTEGER PRIMARY KEY AUTOINCREMENT,
    name VARCHAR NOT NULL UNIQUE,
    color VARCHAR NOT NULL
);

CREATE TABLE IF NOT EXISTS TaggedTruths (
    id INTEGER PRIMARY KEY AUTOINCREMENT,
    truth_id INTEGER NOT NULL,
    tag_id INTEGER NOT NULL,
    FOREIGN KEY (truth_id) REFERENCES Truths(id) ON DELETE CASCADE,
    FOREIGN KEY (tag_id) REFERENCES Tags(id) ON DELETE CASCADE
 );
